<?php
session_start();
include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session


	$rfc =$_POST['therfc'];
	$fecha1 =$_POST['fecha_i'];
	$fecha2 =$_POST['fecha_f'];

$max_gen = 17;

	$gen_exists = array_fill(1, $max_gen, true);
	$arecibir = 0;
	$gt1 = .1;
	$gt2 = .17;
	$gt3 = .01;





  $vta2s = "SELECT id_inver FROM inversionista WHERE rfc = \"$rfc\"";

           $vtas12 = mysqli_query($conexion, $vta2s) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr82 = mysqli_fetch_row($vtas12);
           $id_inv=$rr82[0];
	$fechas =$_POST['fecha'];
	$idcd = $_POST['elci'];


	

	$gtot=0;

	function crearTabla($gen,$fecha1,$fecha2,$gt){
		global $gtot;
		global $gtot2;
		global $totales;
		echo "<table border=1><tr bgcolor=\"#e8d78d\"><th>Referencia</th><th>Nombre</th><th>Compras</th></tr>";
		
       	while (list($clave, $valor ) = each($gen))
        {
			$qc1 = "SELECT sum(puntos) FROM transacciones 
					join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones
					WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$valor[0]\" and fechat between \"$fecha1\" and \"$fecha2\"";

			$cc1 = mysqli_query($conexion, $qc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
			$rr = mysqli_fetch_row($cc1);
			$val1=$rr[0];
			$toti+=$val1;
			echo"<tr><td>$valor[1]</td><td>$valor[2]</td><td>$val1</td><tr>";
        }

		$gtot+=$toti; 
		$gtot2=$toti*$gt;
		$totales+=$gtot2;
	       
        echo"</table>";

		return $gtot2;
	}

	$vtas = "SELECT sum(puntos) FROM transacciones
			 join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones
			 WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$id_inv\" and fechat between \"$fecha1\" and \"$fecha2\"";

    $vtas1 = mysqli_query($conexion, $vtas) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
    $rr8 = mysqli_fetch_row($vtas1);
    $valin=$rr8[0];

 	echo "<br><center><b> Reporte Generacional $elmes $ano3</b><br>Compras Personales  $ $valin<br><br>";

 	$inver_query = "SELECT id_inver, referencia, nombre, appat, apmat FROM inversionista WHERE ";

 	for($i=1;$i<=$max_gen;$i++)
 	{
 		if($i<=1)
 			$loop_query = $inver_query . "idprom =  \"$id_inv\"";
 		else
 		{
 			while (list($clave, $valor ) = each($copy_gen[$i - 1]))
				$query_ids[$i][] = "idprom =  \"$valor[0]\"";
			$loop_query = $inver_query . implode(" OR ", $query_ids[$i]);
 		}

 		$loop_table = mysqli_query($conexion, $loop_query) or die ('No se pudo hacer la consulta' . mysqli_error($conexion));
 		while($loop_row = mysqli_fetch_row($loop_table))
		{
			$gentemp = array_slice($loop_row, 0, 2);
			array_push($gentemp, $loop_row[2]." ".$loop_row[3]." ".$loop_row[4]);
			$gen[$i][] = $gentemp;
		}

		$copy_gen[$i]=$gen[$i];

		if(empty($copy_gen[$i]))
		{
			$gen_exists = array_replace($gen_exists, array_fill($i, $max_gen - $i + 1, false));
			break;
		}
 	}

	while (list($clave, $valor ) = each($gen[1]))
	{
		$qc1 = "SELECT sum(puntos) FROM transacciones
				join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones
				WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$valor[0]\" and fechat between \"$fecha1\" and \"$fecha2\"";
		$cc1 = mysqli_query($conexion, $qc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
		$rr = mysqli_fetch_row($cc1);
		$val1=$rr[0];
		if ($val1>=624){$conteo++;}
	}

	if(true){
		echo "<center>";
		if(!$gen_exists[1])
			echo"<br><br>No hay distribuidores en la red</center>";
		for($i=1;$i<=$max_gen;$i++)
		{
			if($gen_exists[$i])
			{
				$cur_gt = ($i<=1) ? $gt1 : (($i<=4) ? $gt2 : $gt3);
				echo "<br><br><font color=\"#5C3C12\" size=\"+2\"><b>Generaci&oacute;n $i   --->".($cur_gt * 100)."%</b></font><br>";
				$reggen[$i]=crearTabla($gen[$i],$fecha1,$fecha2,$cur_gt);
			}
		}
	}
	$eltotal=0;

	$ordinal = array("", "Primera", "Segunda", "Tercera", "Cuarta", "Quinta", "Sexta", "Septima", "Octava", "Novena", "D&eacute;cima", "Onceava", "Doceava", "Treceava", "14", "15", "16", "17");

	echo"<br><br><b>Personas Directas Calificadas en el periodo: $conteo </b><br><br>

	<font color=\"#5C3C12\" size=\"+2\"><b>Resumen</b></font>

	<table border=\"1\" ><tr bgcolor=\"#e8d78d\">

	<th>Generaci&oacute;n</th><th>Porcentaje</th><th>Requisitos</th><th>Generados</th><th>A Recibir</th></tr>";

	for($i=1; $i<=$max_gen; $i++)
	{
		$cur_gt = ($i<=1) ? $gt1 : (($i<=4) ? $gt2 : $gt3);
		echo "<tr align=\"center\"><td>$ordinal[$i]</td><td>".($cur_gt * 100)." %</td><td>";
		$cur_tag = ($i<=1) ? "1 Persona directa calificada" : (($i<=5) ? "$i Personas directas calificadas" : "Red 5X25");
		echo $cur_tag . "</td><td>$reggen[$i]</td><td>";
		$eltotal+=$reggen[$i];
		if($conteo>=$i){
			echo"$reggen[$i]";
			$arecibir+=$reggen[$i];
		}
		else
			echo"---";
		echo"</td></tr>";
	}

	echo "</table>";
	
	echo "<br>El total de regal&iacute;as generadas es de $eltotal<br><br>";

	if($valin>=624){
		echo "El total de regal&iacute;as a recibir es de $arecibir<br>";
	}
	else
	{
		echo"<br>Regalias generadas <b>$ $arecibir</b>
		<br>Regalias a recibir $ 0 <font color=\"red\">NO CALIFICADO</font>";
	}

	echo "</center>";



?>





